/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface.h"


namespace morpheo              {
namespace behavioural          {

#ifdef VHDL
  void Interface::set_port (Vhdl * & vhdl)
  {
    log_printf(FUNC,Behavioural,"set_port (Vhdl)","Begin");
    if (not _list_signal->empty())
      {
	std::list<Signal*>::iterator i     = _list_signal->begin();
	
	while (i != _list_signal->end())
	  {
	    (*i)->set_port (vhdl);
	    ++i;
	  }
      }
    log_printf(FUNC,Behavioural,"set_port (Vhdl)","End");
  };
#endif

}; // end namespace behavioural          
}; // end namespace morpheo              
